package com.mt.wms.empty.task;

import org.springframework.scheduling.annotation.Scheduled;

/**
 * @Author: liguanghao
 * @Date: 2021/12/13 19:54
 * @Version 1.0
 */
public class ScheduledTask {

    /**
     * 查询加工完成的窑炉
     */
    @Scheduled
    public void taskForStockToKiln(){
        //遍历currTask为进行中且is_in为正在加工的窑炉状态，若加工完毕，调用runTaskForOutKiln
    }

    //每个小时的0分和30分执行
    @Scheduled(cron = "0 0/30 * * * ?")
    //获取全部窑炉每半小时电能消耗数据，计算，存储
    public void getAllEleValue(){
        // TODO: 2021/12/27
        //  获取每台窑炉的电度值，存入par_ele_value,dateType为0,kilnId为窑炉Id
        //  获取11台窑炉的电度值，相加,存入par_ele_value,dateType为0,kilnId为0
    }

    //每日23：55执行
    @Scheduled(cron = "0 55 23 * * ?")
    //获取全部窑炉每天电能消耗数据，计算，存储
    public void getAllEleValueForDay(){
        // TODO: 2021/12/27
        //  获取每台窑炉的电度值，存入par_ele_value,dateType为0,kilnId为窑炉Id
        //  获取11台窑炉的电度值，相加,存入par_ele_value,dateType为0,kilnId为0
    }

    //每月最后一日23：55执行
    @Scheduled(cron = "0 55 23 L * ?")
    //获取全部窑炉每天电能消耗数据，计算，存储
    public void getAllEleValueForMonth(){
        // TODO: 2021/12/27
        //  获取每台窑炉的电度值，存入par_ele_value,dateType为0,kilnId为窑炉Id
        //  获取11台窑炉的电度值，相加,存入par_ele_value,dateType为0,kilnId为0
    }

}
